Bug 238882 - Ink level reporting in the CUPS driver
Ink level reporting in the CUPS driver
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: gutenprint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
: FutureFeature
: 609149 (view as bug list)
Depends On: 238883
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-03 12:45 EDT by Tim Waugh
Modified: 2016-06-24 06:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gutenprint-ink-levels.patch (1.88 KB, patch)
2007-05-03 12:46 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2007-05-03 12:45:09 EDT
Description of problem:
It would be great to have rastertogutenprint.5.0 do ink level reporting; at
least setting marker-supply-low-warning on or off.  Even better would be a way
of finding out percentages for each cartridge/colour.

Version-Release number of selected component (if applicable):
5.0.0.99.1
Comment 1 Tim Waugh 2007-05-03 12:46:36 EDT
Created attachment 154050 [details]
gutenprint-ink-levels.patch

Here is a patch to make the commandtoepson filter read ink levels for some
(older) printers.  Just proof-of-concept code to show that the CUPS
back-channel stuff works.
Comment 2 Bug Zapper 2008-05-13 22:50:41 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-11-25 20:53:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Tim Waugh 2010-04-23 07:19:21 EDT
Summer Coding 2010 idea page relating to this:

https://fedoraproject.org/wiki/Summer_Coding_2010_ideas_-_Unified_ink_level_reporting
Comment 5 Tim Waugh 2010-09-15 04:51:33 EDT
*** Bug 609149 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Admin XMLRPC Client 2016-06-24 06:34:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.